<?xml version="1.0" encoding="UTF-8"?>

<?import com.jfoenix.controls.JFXButton?>
<?import com.jfoenix.controls.JFXComboBox?>
<?import com.jfoenix.controls.JFXTextField?>
<?import com.jfoenix.controls.JFXToggleButton?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.layout.VBox?>
<?import javafx.scene.control.DatePicker?>

<VBox fx:id="fondo" maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="ControladorVista.DialogModificarPrestamo">
    <children>
      <ScrollPane prefHeight="402.0" prefWidth="600.0">
         <content>
              <GridPane fx:id="gridpane">
                  <columnConstraints>
                      <ColumnConstraints hgrow="ALWAYS" percentWidth="30.0" />
                      <ColumnConstraints hgrow="ALWAYS" percentWidth="30.0" />
                      <ColumnConstraints hgrow="ALWAYS" percentWidth="30.0" />
                      <ColumnConstraints hgrow="ALWAYS" percentWidth="30.0" />
                  </columnConstraints>
                  <rowConstraints>
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                      <RowConstraints percentHeight="20.0" vgrow="ALWAYS" />
                  </rowConstraints>
                  <children>
                      <Label fx:id="label_titulo" text="%Fecha_libro_entregado" />
                      <DatePicker fx:id="texto_titulo" GridPane.columnIndex="1" />
                      <DatePicker fx:id="texto_isbn" GridPane.columnIndex="3" />
                      <Label fx:id="label_isbn" text="%Fecha_libro_devolucion" GridPane.columnIndex="2" />
                      <Label fx:id="elegir_editorial" text="%libro" GridPane.rowIndex="1" />
                      <JFXComboBox fx:id="texto_editorial" prefWidth="150.0" GridPane.columnIndex="1" GridPane.rowIndex="1" />
                      <Label fx:id="elegir_autor" text="%socio" GridPane.rowIndex="2" />
                      <JFXComboBox fx:id="texto_autor" prefWidth="150.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
                      <Label fx:id="prestado" text="%Esta_devuelto" GridPane.columnIndex="2" GridPane.rowIndex="1" />
                      <JFXToggleButton fx:id="button_prestado" toggleColor="#ceddd1" toggleLineColor="#1e9716" unToggleColor="#ff9d9d" unToggleLineColor="RED" GridPane.columnIndex="3" GridPane.rowIndex="1" />
                      <Label fx:id="cantidad" text="%fecha_devuelto_libro" GridPane.rowIndex="3" />
                      <JFXButton fx:id="cancelar" onAction="#closeStage" text="%cerrar_pantalla" GridPane.rowIndex="5" />
                      <JFXButton fx:id="actualizar" onAction="#actualizar" text="%actualizar" GridPane.columnIndex="3" GridPane.rowIndex="5" />
                      <DatePicker fx:id="texto_cantidad" GridPane.columnIndex="1" GridPane.rowIndex="3" />
                  </children>
              </GridPane>
         </content>
      </ScrollPane>
    </children>
</VBox>
